Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Mon 03 Aug 2015, 09:26
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Browsers and Internet
vivaldi browser
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 2 [19 Posts]   Goto page: 1, 2 Next
Author Message
666philb


Joined: 07 Feb 2010
Posts: 2601
Location: wales

PostPosted: Mon 02 Mar 2015, 15:29    Post subject:  vivaldi browser
Subject description: 32bit with pepperflash
 

https://vivaldi.com/#Home

32bit pet with pepperflash here https://copy.com/iDky3LRzvuWhLj0D 60.5mb
snapshot-2015-03-02-19-26-49.png
 Description   
 Filesize   154.94 KB
 Viewed   966 Time(s)

snapshot-2015-03-02-19-26-49.png


_________________
Tahrpup, built with trusty tahr packages http://murga-linux.com/puppy/viewtopic.php?t=96178
Quickpet_Precise, install popular apps quickly http://www.murga-linux.com/puppy/viewtopic.php?t=83642
Back to top
View user's profile Send private message 
musher0


Joined: 04 Jan 2009
Posts: 5684
Location: Gatineau (Qc), Canada

PostPosted: Mon 02 Mar 2015, 22:34    Post subject:  

Hi, phil.

Is it the same as this one?

BFN.

musher0

_________________
"Logical entities must not be multiplied needlessly." / "Il ne faut pas multiplier les êtres logiques inutilement." (Ockham)
Back to top
View user's profile Send private message Visit poster's website 
666philb


Joined: 07 Feb 2010
Posts: 2601
Location: wales

PostPosted: Tue 03 Mar 2015, 04:51    Post subject:  

i think it is , i just added pepperflash to it
_________________
Tahrpup, built with trusty tahr packages http://murga-linux.com/puppy/viewtopic.php?t=96178
Quickpet_Precise, install popular apps quickly http://www.murga-linux.com/puppy/viewtopic.php?t=83642
Back to top
View user's profile Send private message 
musher0


Joined: 04 Jan 2009
Posts: 5684
Location: Gatineau (Qc), Canada

PostPosted: Tue 03 Mar 2015, 07:48    Post subject:  

I see. Thanks.
_________________
"Logical entities must not be multiplied needlessly." / "Il ne faut pas multiplier les êtres logiques inutilement." (Ockham)
Back to top
View user's profile Send private message Visit poster's website 
peebee


Joined: 21 Sep 2008
Posts: 1885
Location: Worcestershire, UK

PostPosted: Tue 03 Mar 2015, 08:43    Post subject:  

LxPup15.02 (and presumably Slacko6Beta2) needs libgconf-2 for Vivaldi to work - pet attached.
libgconf_2-4.1.5.pet
Description 
pet

 Download 
Filename  libgconf_2-4.1.5.pet 
Filesize  73.63 KB 
Downloaded  164 Time(s) 

_________________
LxPup = Puppy + LXDE
Back to top
View user's profile Send private message Visit poster's website 
Pelo


Joined: 10 Sep 2011
Posts: 4934
Location: Mer méditerrannée (1 kms°)

PostPosted: Fri 10 Apr 2015, 20:50    Post subject: 65mb, but Vivaldi browses better  

65mb, but Vivaldi browses better Smile
_________________
Root is the glass, Pelo wants the wine.
Back to top
View user's profile Send private message Yahoo Messenger 
James C


Joined: 26 Mar 2009
Posts: 6282
Location: Kentucky

PostPosted: Sat 11 Apr 2015, 02:06    Post subject:  

Downloaded and installed in Tahr. Looks promising.

Thanks for the pet. Smile
Back to top
View user's profile Send private message 
vicmz

Joined: 15 Jan 2012
Posts: 1199

PostPosted: Mon 27 Apr 2015, 00:54    Post subject:  

Test on Puppy Precise 5.7.1

Code:
sh-4.1# vivaldi-snapshot
/opt/vivaldi-snapshot/vivaldi-bin: error while loading shared libraries: libnss3.so: cannot open shared object file: No such file or directory
sh-4.1# /usr/bin/vivaldi-snapshot: error while loading shared libraries: libnss3.so: cannot open shared object file: No such file or directory


After installing lbnss3 and libnspr from Ubuntu Precise repository I was able to run Vivaldi getting this terminal output:

Code:
sh-4.1# vivaldi-snapshot
[12844:12844:0427/012809:INFO:audio_manager_pulse.cc(258)] Failed to connect to the context.  Error: Connection refused
[12844:12844:0427/012810:WARNING:sxs_linux.cc(125)] Failed to read channels file.
ATTENTION: default value of option force_s3tc_enable overridden by environment.
getrlimit(RLIMIT_NOFILE) failed
getrlimit(RLIMIT_NOFILE) failed
getrlimit(RLIMIT_NOFILE) failed
[12838:12946:0427/012833:ERROR:channel.cc(258)] RawChannel read error (connection broken)
getrlimit(RLIMIT_NOFILE) failed
getrlimit(RLIMIT_NOFILE) failed
getrlimit(RLIMIT_NOFILE) failed
getrlimit(RLIMIT_NOFILE) failed
getrlimit(RLIMIT_NOFILE) failed
getrlimit(RLIMIT_NOFILE) failed
getrlimit(RLIMIT_NOFILE) failed
getrlimit(RLIMIT_NOFILE) failed
[WARNING:flash/platform/pepper/pep_module.cpp(63)] SANDBOXED
getrlimit(RLIMIT_NOFILE) failed
getrlimit(RLIMIT_NOFILE) failed
getrlimit(RLIMIT_NOFILE) failed


YouTube videos play as usual, though.

_________________
OB Precise 15.01 kernel 3.17.7|Puppy Linux en español
Back to top
View user's profile Send private message 
Flash
Official Dog Handler


Joined: 04 May 2005
Posts: 11509
Location: Arizona USA

PostPosted: Tue 28 Apr 2015, 00:05    Post subject:  

Tried the .pet in Quirky April 7.0.3. Nothing happened so I:
Quote:
# vivaldi-snapshot -D
/opt/vivaldi-snapshot/vivaldi-bin: error while loading shared libraries: libgconf-2.so.4: cannot open shared object file: No such file or directory
Back to top
View user's profile Send private message 
sindi

Joined: 16 Aug 2009
Posts: 469

PostPosted: Tue 28 Apr 2015, 13:55    Post subject: vivaldi on older hardware  

I downloaded the 140MB vivaldi tar (embedded in a deb) from
their site, used ar in another linux to extract data.tar
and unpackaged with tar. Says my hardware is too old.
Anyone know the hardware requirements?
My DELL Inspiron 8100 is 1GHz. Hard to find good laptops
without widescreen and glare.
Back to top
View user's profile Send private message 
starhawk

Joined: 22 Nov 2010
Posts: 4001
Location: Everybody knows this is nowhere...

PostPosted: Tue 28 Apr 2015, 15:03    Post subject:  

Flash wrote:
Tried the .pet in Quirky April 7.0.3. Nothing happened so I:
Quote:
# vivaldi-snapshot -D
/opt/vivaldi-snapshot/vivaldi-bin: error while loading shared libraries: libgconf-2.so.4: cannot open shared object file: No such file or directory


Flash, it looks like you need the gconf dotPET posted by peebee, above...

_________________

Back to top
View user's profile Send private message 
Flash
Official Dog Handler


Joined: 04 May 2005
Posts: 11509
Location: Arizona USA

PostPosted: Tue 28 Apr 2015, 15:44    Post subject:  

Thanks. I installed it, now I get a different error:
Quote:
# vivaldi-snapshot -D
/opt/vivaldi-snapshot/vivaldi-bin: error while loading shared libraries: libudev.so.0: cannot open shared object file: No such file or directory
# /usr/bin/vivaldi-snapshot: error while loading shared libraries: libudev.so.0: cannot open shared object file: No such file or directory
Back to top
View user's profile Send private message 
starhawk

Joined: 22 Nov 2010
Posts: 4001
Location: Everybody knows this is nowhere...

PostPosted: Tue 28 Apr 2015, 20:28    Post subject:  

Those are symlinks. You should have libudev.so.[...] (where [...] represents the version numbering, in Caro Vanguard it's libudev.so.0.11.1) somewhere in /lib -- just create a relative link from it, entitled libudev.so.0 and you'll be OK. (That's lib udev dot ess oh dot zero!)
_________________

Back to top
View user's profile Send private message 
Flash
Official Dog Handler


Joined: 04 May 2005
Posts: 11509
Location: Arizona USA

PostPosted: Wed 29 Apr 2015, 19:22    Post subject:  

Thanks. Quirky April has libudev.so.1.6.0 in /lib. I right-clicked on it in Rox and chose Link, then created a Symlink to it named libudev.so.0. Now, when I enter vivaldi-snapshot in a urxvt window, I get this:
Quote:
# vivaldi-snapshot
/opt/vivaldi-snapshot/vivaldi-bin: error while loading shared libraries: libdbus-1.so.3: cannot open shared object file: No such file or directory
# /usr/bin/vivaldi-snapshot: error while loading shared libraries: libdbus-1.so.3: cannot open shared object file: No such file or directory

There's nothing that begins with libdbus in /lib and Pfind finds nothing in all of April when I search for libdbus*
Back to top
View user's profile Send private message 
starhawk

Joined: 22 Nov 2010
Posts: 4001
Location: Everybody knows this is nowhere...

PostPosted: Wed 29 Apr 2015, 20:10    Post subject:  

Sounds like you need a DBus package, doesn't it! Wink

I'm not familiar with Quirky April or any of the other pseudoPups that BK has been cooking up since his apparent retirement. However, if it's 32 bit and compatible with dotPET packages, I would snap up what's on the wikka, and I'd probably grab dbus-glib while I was at it, just in case.

http://puppylinux.org/wikka/dbus
http://puppylinux.org/wikka/dbusglib

There are download links on each linked page. In the case of the DBus page (the first link) you probably would want the newer link -- that would be, of the two possibilities, the one that's higher on the page.

By the way, this is the process I refer to as 'libhunting' -- somebody didn't expect you to need these libs, and now you're left to track 'em down. In defense of the dev who left 'em out, well, you really can't expect to have every single support package in existence in your distro... I don't think even eg Debian does that! ...that said, DBus is pretty basic, as I understand it...

_________________

Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 1 of 2 [19 Posts]   Goto page: 1, 2 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Browsers and Internet
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.2425s ][ Queries: 12 (0.1057s) ][ GZIP on ]